package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.TBYDKSearchContext;
import com.sinosig.core.module.dao.po.ITBYDKTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ITBYDKTableDAO {

    ITBYDKTable createTbydkTable();

    boolean create(ITBYDKTable et);

    ITBYDKTable get(String tbydkid);

    ITBYDKTable get(ITBYDKTable et);

    boolean update(ITBYDKTable et);

    boolean remove(String tbydkid);


    List<ITBYDKTable> searchDefault(TBYDKSearchContext context);
    List<ITBYDKTable> searchJQX(TBYDKSearchContext context);
    List<ITBYDKTable> searchSYX(TBYDKSearchContext context);
}
